DynamicJava Javadoc: Class Initializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class Initializer

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Initializer

Direct Known Subclasses:
  ClassInitializer, InstanceInitializer

public abstract class Initializer
extends Node

This class represents the initializer statement nodes of the syntax tree

Field Summary
`static java.lang.String` | `BLOCK` The block property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`protected` | `Initializer(BlockStatement block, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new initializer statement

Method Summary
`BlockStatement` | `getBlock()` Gets the block statement
`void` | `setBlock(BlockStatement bs)` Sets the block statement

Methods inherited from class koala.dynamicjava.tree.Node
`acceptVisitor, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOCK

    public static final java.lang.String BLOCK

  The block property name

Constructor Detail

### Initializer

    protected Initializer(BlockStatement block,
                          java.lang.String fn,
                          int bl,
                          int bc,
                          int el,
                          int ec)

  Creates a new initializer statement
  Parameters:
    `block` - the block
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if block is null

Method Detail

### getBlock

    public BlockStatement getBlock()

  Gets the block statement

### setBlock

    public void setBlock(BlockStatement bs)

  Sets the block statement
  Throws:
    `java.lang.IllegalArgumentException` - if bs is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.